--[[
File: gameover.lua
Author: Brett Lajzer
Date: 5.31.2006

About:
The screen that shows up when you get a gameover.
--]]

gameover = {}


function gameover.level(init)
  if init == true then
    --clear resource managers
    bullets:empty()
    player_bullets:empty()
    enemies:empty()

    draw_bg = backgrounds.stars_scrolling

    --make gameover enemy
    enemies:add(gameover.label:new({image = loadimg("img/gameover.png"), w = 288, h = 115, x = (s_width - 288)/2, y = (s_height - 115)/2}))
  end
end


-- enemy representing the gameover label
gameover.label = enemy:new()


function gameover.label:update()
  --random movement
  self.x = self.x + math.random(-1, 1)
  self.y = self.y + math.random(-1, 1)
end

function gameover.label:collide()
  --does nothing
end