--[[
File: scoreboard.lua
Author: Brett Lajzer
Date: 5.24.2006

About:
This contains facilities for drawing the scoreboard.
--]]


scoreboard = {}
scoreboard.score = 0
scoreboard.image, scoreboard.w, scoreboard.h = loadbmp_t("img/digits.bmp")
scoreboard.w = scoreboard.w / 10

function scoreboard.draw()
  local temp = "" .. scoreboard.score

  for i=1, #temp do
    local digit = string.sub(temp, i, i)

    if digit == "0" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 0)
    elseif digit == "1" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 1)
    elseif digit == "2" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 2)
    elseif digit == "3" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 3)
    elseif digit == "4" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 4)
    elseif digit == "5" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 5)
    elseif digit == "6" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 6)
    elseif digit == "7" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 7)
    elseif digit == "8" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 8)
    elseif digit == "9" then
      blit_frame(scoreboard.image, s_width - (scoreboard.w * (#temp - i + 1)), s_height - scoreboard.h, 10, 9)
    end
         
  end

end