--[[
File: life_bar.lua
Author: Brett Lajzer
Date: 5.24.2006

About:
This function draws the remaining number of lives
horizontally across the bottom left of the screen.
--]]

--the life image (1/2 size player image)
local bar_img = rotzoom(player.image, 0, 0.5)

function draw_lives()
  for i=0,player.lives-1 do
    blit(bar_img, i*(player.w/2), s_height-(player.h/2))
  end
end